<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!-- Light theme -->
    <style name="AppThemeLight" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:statusBarColor">@color/lightThemeBackground</item>
        <item name="android:windowLightStatusBar">true</item>
        <item name="android:typeface">monospace</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textColorSecondary">@color/lightThemeTextColor</item>
        <item name="colorPrimary">@color/darkGreen</item>
        <item name="colorSecondary">@color/lightThemeTextColor</item>

        <item name="diffAddedColor">@color/lightThemeDiffAddedColor</item>
        <item name="diffRemovedColor">@color/lightThemeDiffRemovedColor</item>
        <item name="diffSelectedColor">@color/lightThemeDiffSelectedColor</item>
        <item name="primaryTextColor">@color/lightThemeTextColor</item>
        <item name="primaryBackgroundColor">@color/lightThemeBackground</item>
        <item name="inputBackgroundColor">@color/lightThemeInputBackground</item>
        <item name="inputSelectedColor">@color/lightThemInputSelected</item>
        <item name="inputTextColor">@color/lightThemeInputTextColor</item>
        <item name="checkboxStyle">@style/AppThemeLightCheckBoxStyle</item>
        <item name="selectedTextColor">@color/darkGreen</item>
        <item name="alertDialogTheme">@style/AppThemeLightConfirmDialog</item>
        <item name="popupMenuStyle">@style/AppThemeLightPopupMenuStyle</item>
        <item name="android:homeAsUpIndicator">@drawable/ic_arrow_back</item>
        <item name="autoCompleteTextViewStyle">@style/AppThemeLightSearchAutoCompleteTextView</item>
        <item name="hintColor">@color/hintColor</item>
        <item name="colorControlActivated">@color/darkGreen</item>
        <item name="dividerColor">@color/lightThemeDividerColor</item>
        <item name="bottomSheetDialogTheme">@style/AppThemeLightBottomSheetDialog</item>
        <item name="searchViewStyle">@style/AppSearchViewStyle</item>
        <item name="progressIndicatorColor">@color/darkGreen</item>
        <item name="fabColor">@color/darkGreen</item>
        <item name="iconsColor">@color/darkGreen</item>
        <item name="pagerTabIndicatorColor">@color/darkGreen</item>
        <item name="android:actionOverflowButtonStyle">@style/customOverflowButtonStyle</item>
        <item name="actionOverflowMenuStyle">@style/customOverflowMenuStyle</item>
        <item name="colorSurface">@color/lightThemeInputBackground</item>
        <item name="shapeAppearanceSmallComponent">@style/inputsMaterialComponentCorner</item>
    </style>
    <!-- Light theme -->

    <!-- Retro theme -->
    <style name="AppThemeRetro" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:statusBarColor">@color/retroThemeBackground</item>
        <item name="android:windowLightStatusBar">true</item>
        <item name="android:typeface">monospace</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textColorSecondary">@color/retroThemeTextColor</item>
        <item name="android:textColorPrimary">@color/retroThemeTextColor</item>
        <item name="colorPrimary">@color/retroThemeColorPrimary</item>
        <item name="colorSecondary">@color/retroThemeColorSecondary</item>

        <item name="diffAddedColor">@color/retroThemeDiffAddedColor</item>
        <item name="diffRemovedColor">@color/retroThemeDiffRemovedColor</item>
        <item name="diffSelectedColor">@color/retroThemeDiffSelectedColor</item>
        <item name="primaryTextColor">@color/retroThemeTextColor</item>
        <item name="primaryBackgroundColor">@color/retroThemeBackground</item>
        <item name="inputBackgroundColor">@color/retroThemeInputBackground</item>
        <item name="inputSelectedColor">@color/retroThemeInputSelected</item>
        <item name="inputTextColor">@color/retroThemeInputTextColor</item>
        <item name="checkboxStyle">@style/AppThemeRetroCheckBoxStyle</item>
        <item name="selectedTextColor">@color/retroThemeColorPrimary</item>
        <item name="alertDialogTheme">@style/AppThemeRetroConfirmDialog</item>
        <item name="popupMenuStyle">@style/AppThemeRetroPopupMenuStyle</item>
        <item name="android:homeAsUpIndicator">@drawable/ic_arrow_back</item>
        <item name="autoCompleteTextViewStyle">@style/AppThemeRetroSearchAutoCompleteTextView</item>
        <item name="hintColor">@color/hintColor</item>
        <item name="colorControlActivated">@color/retroThemeColorPrimary</item>
        <item name="dividerColor">@color/retroThemeDividerColor</item>
        <item name="bottomSheetDialogTheme">@style/AppThemeLightBottomSheetDialog</item>
        <item name="searchViewStyle">@style/AppSearchViewStyle</item>
        <item name="progressIndicatorColor">@color/retroThemeColorPrimary</item>
        <item name="fabColor">@color/retroThemeColorPrimary</item>
        <item name="iconsColor">@color/retroThemeColorPrimary</item>
        <item name="pagerTabIndicatorColor">@color/retroThemeColorPrimary</item>
        <item name="android:actionOverflowButtonStyle">@style/customOverflowButtonStyle</item>
        <item name="actionOverflowMenuStyle">@style/customOverflowMenuStyle</item>
        <item name="colorSurface">@color/retroThemeInputBackground</item>
        <item name="shapeAppearanceSmallComponent">@style/inputsMaterialComponentCorner</item>
    </style>
    <!-- Retro theme -->

</resources>
